<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BTreeCursor..::.DbStream Method (DatabaseStreamConfig)
BTreeCursor Class See Also Send Feedback

Create a database stream pointing to a key/value pair where the data item is a blob with the given configuration.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.35.0

# Syntax

C#

    public DatabaseStream DbStream(
    	DatabaseStreamConfig cfg
    )

Visual Basic (Declaration)

    Public Function DbStream ( _
    	cfg As DatabaseStreamConfig _
    ) As DatabaseStream

Visual C++

    public:
    DatabaseStream^ DbStream(
    	DatabaseStreamConfig^ cfg
    )

#### Parameters

cfg
  Type: BerkeleyDB..::.DatabaseStreamConfig
  The configuration properties for the database stream.

#### Return Value

A newly created database stream

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.DatabaseException | Thrown if the data of the key/value pair it is pointing to is not a blob.

# See Also

BTreeCursor Class
DbStream Overload
BerkeleyDB Namespace